Subject: bug#57956: 29.0.50; Add minimal authorization support to sasl-scram-rfc

From: "J.P." <[email-masked]>
Date: Tue, 27 Sep 2022 18:22:24 -0700

Philip Kaludercic <[email-masked]> writes:

> "J.P." <[email-masked]> writes:
>
>> Alternatively, we could
>>
>> - have ERC restrict this feature to users of Emacs 29+, or
>> - stick with the status quo and manage this particular case manually via
>>   erc-comapt.el [1].
>>
>> I'd be fine with any of the above, really.
>
> Do you think there is any interest in providing these functions outside
> of ERC?  If so, I think adding the code to Compat ought to be fine.

Thanks, that's very generous, but somehow I doubt there'd be much
general interest (though I'd like to be wrong here). For now, I guess we
can just keep them in erc-compat until 29.1 is cut and maybe circle back
in the lead-up to 29.2, if that's agreeable to everyone.